Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class StyleRule

    java.lang.Object
      org.apache.batik.css.engine.StyleRule

All Implemented Interfaces:
  Rule

    public class StyleRule

extends Object
implements Rule

This class represents a style rule.

Field Summary
`protected org.w3c.css.sac.SelectorList` | `selectorList` The selector list.
`protected StyleDeclaration` | `styleDeclaration` The style declaration.
`static short` | `TYPE` The type constant.

Constructor Summary
`StyleRule()`

Method Summary
`org.w3c.css.sac.SelectorList` | `getSelectorList()` Returns the selector list.
`StyleDeclaration` | `getStyleDeclaration()` Returns the style declaration.
`short` | `getType()` Returns a constant identifying the rule type.
`void` | `setSelectorList(org.w3c.css.sac.SelectorList sl)` Sets the selector list.
`void` | `setStyleDeclaration(StyleDeclaration sd)` Sets the style map.
`String` | `toString(CSSEngine eng)` Returns a printable representation of this style rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

  The type constant.

  See Also:
    Constant Field Values

### selectorList

    protected org.w3c.css.sac.SelectorList selectorList

  The selector list.

### styleDeclaration

    protected StyleDeclaration styleDeclaration

  The style declaration.

Constructor Detail

### StyleRule

    public StyleRule()

Method Detail

### getType

    public short getType()

  Returns a constant identifying the rule type.

  Specified by:
    `getType` in interface `Rule`

### setSelectorList

    public void setSelectorList(org.w3c.css.sac.SelectorList sl)

  Sets the selector list.

### getSelectorList

    public org.w3c.css.sac.SelectorList getSelectorList()

  Returns the selector list.

### setStyleDeclaration

    public void setStyleDeclaration(StyleDeclaration sd)

  Sets the style map.

### getStyleDeclaration

    public StyleDeclaration getStyleDeclaration()

  Returns the style declaration.

### toString

    public String toString(CSSEngine eng)

  Returns a printable representation of this style rule.

  Specified by:
    `toString` in interface `Rule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.